#! /bin/bash

# Copyright 2009 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
#
# Push all of your branches to launchpad, so that you have a server-side
# backup of everything, assuming your ~/.bazaar/locations.conf has been setup
# correctly by rocketfuel-setup.

source "$HOME/.rocketfuel-env.sh"
if [ "$?" != 0 ]; then
    echo "Please run rocketfuel-setup first."
    exit 1
fi

cd $LP_PROJECT_PATH
for branch in *; do
  if [ ${branch} != "$LP_TRUNK_NAME" ] && test -d ${branch} ; then
    echo "Pushing ${branch}"
    cd ${branch}
    bzr push
    cd ..
  fi;
done;
